### Method

# Ggit Index add_path

#### Declaration [src]

    gboolean
    ggit_index_add_path (
      GgitIndex* idx,
      const gchar* path,
      GError** error
    )

#### Description [src]

Add a file to the index by path. You can specify both relative paths (to the working directory) and absolute paths. Absolute paths however must reside in the working directory. The specified path must exist and must be readable.

#### Parameters

`path`

  Type: `const gchar*`

  Path to the file to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the file was added to the index or `FALSE` if there was an error.